Skip to main content

endpoints

Creates, updates, deletes, gets or lists an endpoints resource.

Overview​

Nameendpoints
TypeResource
Idaws.dms.endpoints

Fields​

The following fields are returned by SELECT queries:

NameDatatypeDescription
certificate_arnstringThe Amazon Resource Name (ARN) used for SSL connection to the endpoint.
database_namestringThe name of the database at the endpoint.
dms_transfer_settingsobjectThe settings for the DMS Transfer type source. For more information, see the DmsTransferSettings structure.
doc_db_settingsobjectProvides information that defines a DocumentDB endpoint.
dynamo_db_settingsobjectThe settings for the DynamoDB target endpoint. For more information, see the DynamoDBSettings structure.
elasticsearch_settingsobjectThe settings for the OpenSearch source endpoint. For more information, see the ElasticsearchSettings structure.
endpoint_arnstringThe Amazon Resource Name (ARN) string that uniquely identifies the endpoint.
endpoint_identifierstringThe database endpoint identifier. Identifiers must begin with a letter and must contain only ASCII letters, digits, and hyphens. They can't end with a hyphen or contain two consecutive hyphens.
endpoint_typestringThe type of endpoint. Valid values are source and target. (source, target)
engine_display_namestringThe expanded name for the engine name. For example, if the EngineName parameter is "aurora", this value would be "Amazon Aurora MySQL".
engine_namestringThe database engine name. Valid values, depending on the EndpointType, include "mysql", "oracle", "postgres", "mariadb", "aurora", "aurora-postgresql", "redshift", "redshift-serverless", "s3", "db2", "db2-zos", "azuredb", "sybase", "dynamodb", "mongodb", "kinesis", "kafka", "elasticsearch", "documentdb", "sqlserver", "neptune", and "babelfish".
external_idstringValue returned by a call to CreateEndpoint that can be used for cross-account validation. Use it on a subsequent call to CreateEndpoint to create the endpoint with a cross-account.
external_table_definitionstringThe external table definition.
extra_connection_attributesstringAdditional connection attributes used to connect to the endpoint.
gcp_my_sql_settingsobjectSettings in JSON format for the source GCP MySQL endpoint.
ibm_db_2_settingsobjectThe settings for the IBM Db2 LUW source endpoint. For more information, see the IBMDb2Settings structure.
is_read_onlybooleanIndicates whether the endpoint is read-only. When set to true, this endpoint is managed by DMS as part of a zero-ETL integration and cannot be modified or deleted directly. You can only modify or delete read-only endpoints through their associated zero-ETL integration.
kafka_settingsobjectThe settings for the Apache Kafka target endpoint. For more information, see the KafkaSettings structure.
kinesis_settingsobjectThe settings for the Amazon Kinesis target endpoint. For more information, see the KinesisSettings structure.
kms_key_idstringAn KMS key identifier that is used to encrypt the connection parameters for the endpoint. If you don't specify a value for the KmsKeyId parameter, then DMS uses your default encryption key. KMS creates the default encryption key for your Amazon Web Services account. Your Amazon Web Services account has a different default encryption key for each Amazon Web Services Region.
lakehouse_settingsobjectSettings in JSON format for the target Lakehouse endpoint. This parameter applies to endpoints that are automatically created by DMS for a Lakehouse data warehouse as part of a zero-ETL integration.
microsoft_sql_server_settingsobjectThe settings for the Microsoft SQL Server source and target endpoint. For more information, see the MicrosoftSQLServerSettings structure.
mongo_db_settingsobjectThe settings for the MongoDB source endpoint. For more information, see the MongoDbSettings structure.
my_sql_settingsobjectThe settings for the MySQL source and target endpoint. For more information, see the MySQLSettings structure.
neptune_settingsobjectThe settings for the Amazon Neptune target endpoint. For more information, see the NeptuneSettings structure.
oracle_settingsobjectThe settings for the Oracle source and target endpoint. For more information, see the OracleSettings structure.
portintegerThe port value used to access the endpoint.
postgre_sql_settingsobjectThe settings for the PostgreSQL source and target endpoint. For more information, see the PostgreSQLSettings structure.
redis_settingsobjectThe settings for the Redis target endpoint. For more information, see the RedisSettings structure.
redshift_settingsobjectProvides information that defines an Amazon Redshift endpoint.
s3_settingsobjectThe settings for the S3 target endpoint. For more information, see the S3Settings structure.
server_namestringThe name of the server at the endpoint.
service_access_role_arnstringThe Amazon Resource Name (ARN) used by the service to access the IAM role. The role must allow the iam:PassRole action.
ssl_modestringThe SSL mode used to connect to the endpoint. The default value is none. (none, require, verify-ca, verify-full)
statusstringThe status of the endpoint.
sybase_settingsobjectThe settings for the SAP ASE source and target endpoint. For more information, see the SybaseSettings structure.
timestream_settingsobjectThe settings for the Amazon Timestream target endpoint. For more information, see the TimestreamSettings structure.
usernamestringThe user name used to connect to the endpoint.

Methods​

The following methods are available for this resource:

NameAccessible byRequired ParamsOptional ParamsDescription
describe_endpointsselectregionReturns information about the endpoints for your account in the current region.
create_endpointinsertregion, EndpointIdentifier, EndpointType, EngineNameCreates an endpoint using the provided settings. For a MySQL source or target endpoint, don't explicitly specify the database using the DatabaseName request parameter on the CreateEndpoint API call. Specifying DatabaseName when you create a MySQL endpoint replicates all the task tables to this single database. For MySQL endpoints, you specify the database only when you specify the schema in the table-mapping rules of the DMS task.
modify_endpointupdateregion, EndpointArnModifies the specified endpoint. For a MySQL source or target endpoint, don't explicitly specify the database using the DatabaseName request parameter on the ModifyEndpoint API call. Specifying DatabaseName when you modify a MySQL endpoint replicates all the task tables to this single database. For MySQL endpoints, you specify the database only when you specify the schema in the table-mapping rules of the DMS task.
delete_endpointdeleteregionDeletes the specified endpoint. All tasks associated with the endpoint must be deleted before you can delete the endpoint.

Parameters​

Parameters can be passed in the WHERE clause of a query. Check the Methods section to see which parameters are required or optional for each operation.

NameDatatypeDescription
regionstringAWS region (default: us-east-1)

SELECT examples​

Returns information about the endpoints for your account in the current region.

SELECT
certificate_arn,
database_name,
dms_transfer_settings,
doc_db_settings,
dynamo_db_settings,
elasticsearch_settings,
endpoint_arn,
endpoint_identifier,
endpoint_type,
engine_display_name,
engine_name,
external_id,
external_table_definition,
extra_connection_attributes,
gcp_my_sql_settings,
ibm_db_2_settings,
is_read_only,
kafka_settings,
kinesis_settings,
kms_key_id,
lakehouse_settings,
microsoft_sql_server_settings,
mongo_db_settings,
my_sql_settings,
neptune_settings,
oracle_settings,
port,
postgre_sql_settings,
redis_settings,
redshift_settings,
s3_settings,
server_name,
service_access_role_arn,
ssl_mode,
status,
sybase_settings,
timestream_settings,
username
FROM aws.dms.endpoints
WHERE region = '{{ region }}' -- required
;

INSERT examples​

Creates an endpoint using the provided settings. For a MySQL source or target endpoint, don't explicitly specify the database using the DatabaseName request parameter on the CreateEndpoint API call. Specifying DatabaseName when you create a MySQL endpoint replicates all the task tables to this single database. For MySQL endpoints, you specify the database only when you specify the schema in the table-mapping rules of the DMS task.

INSERT INTO aws.dms.endpoints (
EndpointIdentifier,
EndpointType,
EngineName,
Username,
Password,
ServerName,
Port,
DatabaseName,
ExtraConnectionAttributes,
KmsKeyId,
Tags,
CertificateArn,
SslMode,
ServiceAccessRoleArn,
ExternalTableDefinition,
DynamoDbSettings,
S3Settings,
DmsTransferSettings,
MongoDbSettings,
KinesisSettings,
KafkaSettings,
ElasticsearchSettings,
NeptuneSettings,
RedshiftSettings,
PostgreSQLSettings,
MySQLSettings,
OracleSettings,
SybaseSettings,
MicrosoftSQLServerSettings,
IBMDb2Settings,
ResourceIdentifier,
DocDbSettings,
RedisSettings,
GcpMySQLSettings,
TimestreamSettings,
region
)
SELECT
'{{ EndpointIdentifier }}' /* required */,
'{{ EndpointType }}' /* required */,
'{{ EngineName }}' /* required */,
'{{ Username }}',
'{{ Password }}',
'{{ ServerName }}',
{{ Port }},
'{{ DatabaseName }}',
'{{ ExtraConnectionAttributes }}',
'{{ KmsKeyId }}',
'{{ Tags }}',
'{{ CertificateArn }}',
'{{ SslMode }}',
'{{ ServiceAccessRoleArn }}',
'{{ ExternalTableDefinition }}',
'{{ DynamoDbSettings }}',
'{{ S3Settings }}',
'{{ DmsTransferSettings }}',
'{{ MongoDbSettings }}',
'{{ KinesisSettings }}',
'{{ KafkaSettings }}',
'{{ ElasticsearchSettings }}',
'{{ NeptuneSettings }}',
'{{ RedshiftSettings }}',
'{{ PostgreSQLSettings }}',
'{{ MySQLSettings }}',
'{{ OracleSettings }}',
'{{ SybaseSettings }}',
'{{ MicrosoftSQLServerSettings }}',
'{{ IBMDb2Settings }}',
'{{ ResourceIdentifier }}',
'{{ DocDbSettings }}',
'{{ RedisSettings }}',
'{{ GcpMySQLSettings }}',
'{{ TimestreamSettings }}',
'{{ region }}'
RETURNING
endpoint
;

UPDATE examples​

Modifies the specified endpoint. For a MySQL source or target endpoint, don't explicitly specify the database using the DatabaseName request parameter on the ModifyEndpoint API call. Specifying DatabaseName when you modify a MySQL endpoint replicates all the task tables to this single database. For MySQL endpoints, you specify the database only when you specify the schema in the table-mapping rules of the DMS task.

UPDATE aws.dms.endpoints
SET
EndpointArn = '{{ EndpointArn }}',
EndpointIdentifier = '{{ EndpointIdentifier }}',
EndpointType = '{{ EndpointType }}',
EngineName = '{{ EngineName }}',
Username = '{{ Username }}',
Password = '{{ Password }}',
ServerName = '{{ ServerName }}',
Port = {{ Port }},
DatabaseName = '{{ DatabaseName }}',
ExtraConnectionAttributes = '{{ ExtraConnectionAttributes }}',
CertificateArn = '{{ CertificateArn }}',
SslMode = '{{ SslMode }}',
ServiceAccessRoleArn = '{{ ServiceAccessRoleArn }}',
ExternalTableDefinition = '{{ ExternalTableDefinition }}',
DynamoDbSettings = '{{ DynamoDbSettings }}',
S3Settings = '{{ S3Settings }}',
DmsTransferSettings = '{{ DmsTransferSettings }}',
MongoDbSettings = '{{ MongoDbSettings }}',
KinesisSettings = '{{ KinesisSettings }}',
KafkaSettings = '{{ KafkaSettings }}',
ElasticsearchSettings = '{{ ElasticsearchSettings }}',
NeptuneSettings = '{{ NeptuneSettings }}',
RedshiftSettings = '{{ RedshiftSettings }}',
PostgreSQLSettings = '{{ PostgreSQLSettings }}',
MySQLSettings = '{{ MySQLSettings }}',
OracleSettings = '{{ OracleSettings }}',
SybaseSettings = '{{ SybaseSettings }}',
MicrosoftSQLServerSettings = '{{ MicrosoftSQLServerSettings }}',
IBMDb2Settings = '{{ IBMDb2Settings }}',
DocDbSettings = '{{ DocDbSettings }}',
RedisSettings = '{{ RedisSettings }}',
ExactSettings = {{ ExactSettings }},
GcpMySQLSettings = '{{ GcpMySQLSettings }}',
TimestreamSettings = '{{ TimestreamSettings }}'
WHERE
region = '{{ region }}' --required
AND EndpointArn = '{{ EndpointArn }}' --required
RETURNING
endpoint;

DELETE examples​

Deletes the specified endpoint. All tasks associated with the endpoint must be deleted before you can delete the endpoint.

DELETE FROM aws.dms.endpoints
WHERE region = '{{ region }}' --required
;